# Das Handbuch zu &konsole;

&Jonathan.Singer; &Jonathan.Singer.mail;
&Waldo.Bastian; &Waldo.Bastian.mail;
&Mike.McBride; &Mike.McBride.mail;
Stefan
Doll

    sdoll4@yahoo.com

Deutsche Übersetzung
2000
2001
2002
&Jonathan.Singer;
&FDLNotice;
2002-10-05
1.20.00

Dies ist das Handbuch zu &konsole;.

&konsole; ist ein X Window-Terminalemulator für &kde;.

KDE
konsole
kdebase
command
line

## Einführung zu &konsole;

### Was ist ein Terminal?

&UNIX;-Betriebssysteme wurden ursprünglich als textbasierte Systeme entwickelt und über die Befehlszeile bedient. Mittlerweile stellen &X-Window; und &kde; eine graphische Bedienoberfläche zur Verfügung. Die Befehlszeile kann aber weiterhin benutzt werden und bleibt für viele Aufgaben die einfachste, schnellste und bequemste Lösung.

&konsole; ist ein so genannter X-Terminal-Emulator, oft auch als Terminal oder Shell bezeichnet. Es stellt einen traditionellen textorientierten Zugang zum Betriebssystem bereit, kann sich aber gleichzeitig den Bildschirm mit graphischen Anwendungen teilen. Windowsanwendern ist dieses Konzept vielleicht durch die MS-DOS Befehlszeile bekannt, die eine ähnliche Funktion bereitstellt: eine DOS-Befehlszeile unter &Windows;. (Die &UNIX;-Befehlszeile ist allerdings sehr viel mächtiger, und bedienerfreundlicher als DOS.)

Dieses Dokument kann leider nicht auf die Bedienung der &UNIX;-Shell eingehen. Die vielen Möglichkeiten zu beschreiben, würde ein umfangreiches Buch erfordern. Es gibt aber viele solche Bücher, sie sind problemlos in Büchereien und Bibliotheken zu erhalten (normalerweise unter dem Stichwort "Shell" oder "Terminal"). Auch im Internet lassen sich entsprechende Anleitungen finden.Es lohnt sich den Umgang mit der Befehlszeile zu erlernen - schon mit Grundkenntnissen in diesem Bereich, lässt sich der Umgang mit Ihrem Computer deutlich angenehmer und effizienter gestalten.

### Was ist das Besondere an &konsole; ?

&konsole; ist einfach zu konfigurieren und erlaubt die Verwaltung mehrerer Shells in einem einzigen Fenster.

Mittels &konsole; können folgende Anwendungen geöffnet werden:

- &Linux;-Konsole-Sitzungen

- Shell-Sitzungen

- Terminal-Programm Screen-Sitzung

- Midnight Commander Dateimanager

- Root-Konsole Sitzung

- Root Midnight Commander Dateimanager

Damit Sie den Überblick behalten, können die Sitzungen umbenannt werden oder Sie können Signale (STOP, CONT, HUP, INT, TERM, KILL) an Sitzungen versenden.

Das Erscheinungsbild von &konsole; kann nach Wunsch des Benutzers gestaltet werden:

- Menüleiste, Werkzeugleiste und Rahmen anzeigen/abschalten

- Größe des &konsole;-Fensters, Zeichensatz, Farbschemata, und Tastaturzuordnung bestimmen

- Anordnung der Bildlaufleiste verändern oder die Bildlaufleiste abschalten

Alle Einstellungen können als Voreinstellungen gespeichert werden.

Gebräuchliche X Terminalemulatoren basieren auf zwei frei verfügbaren Programmen: xterm, dem Original, und xvt, einer leichtgewichtigeren Alternative. Die Basis für die meisten anderen X Terminalemulatoren (z.B. eterm) ist xvt.

&konsole; ist keine Weiterentwicklung von xterm.Stattdessen wurde &konsole; mit Hilfe moderner Methoden vollständig neu entwickelt.

## Bedienung von &konsole;

### Start des Programms

Beim Aufruf von &konsole; wird automatisch auch eine Anwendung (normalerweise eine &UNIX;-Shell) gestartet. Mit dieser kann sofort gearbeitet werden.

&konsole; Screen
&konsole; Screen

Beim Start kann ein Tipp des Tages...-Fenster angezeigt werden, das Hinweise zur Bedienung von &konsole; bereitstellt. Möchten Sie diese Hinweise nicht erhalten, deaktivieren Sie das Ankreuzfeld Tipps beim Start anzeigen.

### Entwicklung von Terminalemulatoren

Text, der nicht mehr im Konsole-Fenster dargestellt wird, lässt sich mit Hilfe der Bildlaufleiste wieder sichtbar machen, wenn die Option Verlaufsspeicher eingeschaltet ist. Die Bildlaufleiste lässt sich mit dem Mauszeiger, dem Mausrad und auch über Tastenkombinationen &Umschalt;Bild aufwärts (eine Seite nach oben), &Umschalt;Bild Abwärts (eine Seite nach unten), &Umschalt;Pfeil oben (eine Zeile nach oben) und &Umschalt;Pfeil unten (eine Zeile nach unten) bewegen.

Darüberhinaus imitiert &konsole; die FreeBSD-Konsole, wenn die Taste scroll lock gedrückt ist. In diesem Fall werden normale Ein- und Ausgaben von der Shell angehalten, und Sie können mit den Tasten Bild aufwärts und Bild abwärts, sowie mit Pfeil aufwärts und Pfeil abwärts im Verlaufsspeicher blättern.

### Sitzungen

Wenn Sie sich häufig auf anderen Rechnern anmelden oder stets die selben Anwendungen im Terminal starten müssen, können Sie die Sitzungsverwaltung von &konsole; in Zusammenarbeit mit der Sitzungsverwaltung von &kde; benutzen, um diese Arbeitsabläufe zu automatisieren. Nehmen wir das folgende Beispiel an: Sie melden sich häufig zu Administrationszwecken über ssh auf dem Rechner administration an. Wahrscheinlich ist Ihnen bereits der Knopf Neu in der Unterfensterleiste aufgefallen. Wenn Sie diesen Knopf anklicken und gedrückt halten, erscheint ein Untermenü, in dem Sie einen neuen Sitzungstyp auswählen können. Hier werden wir nun einen neuen Eintrag hinzufügen.

1. Einstellungen &konsole; einrichten...

2. Wählen Sie den Reiter Sitzung aus.

3. Geben Sie in das erste Eingabefeld einen Namen ein. Dieser Name wird später im Menü angezeigt und die Voreinstellung für die Bezeichnung anstelle von Befehlsfenster sein, wenn Sie eine Sitzung dieses Typs öffnen.

4. Geben Sie nun einen Befehl fein, so als würden Sie diesen in einer Sitzung eingeben. Bei unserem Beispiel lautet die Eingabe: ``ssh` administration`.

5. Weiter unten können Sie das Erscheinungsbild der Sitzung anpassen. Sie können eine andere Schrift, ein anderes Farbschema und für jeden Sitzungstyp eine andere Belegung von $`TERM` einstellen.

6. Drücken Sie den Knopf Sitzung speichern.... Daraufhin werden Sie um Bestätigung des Dateinamens gebeten.

7. Drücken Sie OK.

Jetzt sollten Sie in der Lage sein den neuen Sitzungstyp im Menü auszuwählen, wenn Sie den Knopf Neue Sitzung in der Unterfensterleiste gedrückt zu halten. Daraufhin öffnet sich eine neue Sitzung in einem &konsole;-Fenster und die zuvor angegebenen Befehle werden ausgeführt. In unserem Fall sehen Sie die Eingabeaufforderung für das Passwort der ssh-Sitzung. Wenn Sie das Passwort eingegeben haben, werden Sie auf dem anderen Rechner angemeldet. Sie können diesen Schritt umgehen, wenn Sie ssh-agent verwenden. Vielleicht möchten Sie ja das http-Protokoll eines Webservers im Netzwerk über ausgeben lassen. Hierzu verwenden Sie eine Befehlszeile wie diese: ``ssh` `-f` webserver `tail` `-f` `/var/log/httpd-error.log``.

Sie können auf diese Weise auch lokale Befehle ausführen. Erstellen Sie eine Sitzung mit dem Befehl ``tail` `-f` `/var/log/messages``. Wenn Sie in diesem Fall das ausgeführte Programm beenden, wird auch die Sitzung geschlossen.

Diese Eigenschaft erweist sich als besonders bequem, wenn Sie ständig die selben Sitzungen bereits geöffnet vorfinden. &kde; kann genau dies beim Anmelden für Sie erledigen. Lassen Sie die entsprechenden Sitzungen einfach beim Abmelden von &kde; geöffnet. Sie werden dann in der &kde;-Arbeitssitzung gespeichert und so wie jede andere Anwendung bei der nächste Anmeldung in &kde; wiederhergestellt.

### Maustasten

Linke Taste

  Ein Klick der linken Taste wird an die Anwendung weitergeleitet. &konsole; benutzt einen Pfeil als Mauszeiger, wenn das Anwendungsprogramm über Mausunterstützung verfügt. Andernfalls wird ein senkrechter Balken (ein Textzeiger) dargestellt.

  Das Bewegen der Maus (=ziehen) bei gedrückter linker Maustaste markiert einen Textabschnitt. Der ausgewählte Text wird dabei invertiert dargestellt. Mit der Funktion Kopieren im Menü Bearbeiten kann der markierte Text in die Zwischenablage kopiert und dann in &konsole; oder einer anderen Anwendung verwendet werden.Es ist außerdem möglich den Text direkt in ein anderes Anwendungsprogramm zu ziehen. Dazu muss der Text zunächst markiert werden. Anschließend wird der markierte Text angeklickt und bei gedrückter Maustaste, in das andere Programm gezogen. (Je nach &kde;-Einstellungen muss dabei noch die &Umschalt;-Taste festgehalten werden).

  Normalerweise werden Zeilenumbrüche des markierten Textes mitkopiert. Das ist sinnvoll bei Quelltexten (von Programmiersprachen) oder der Ausgabe bestimmter Befehle, aber für gewöhnlichen Text wäre eine Auswahl ohne Zeilenumbrüche günstiger. Eine solche Auswahl lässt sich durch gleichzeitiges Drücken der &Strg;-Taste während des Markiervorgangs erzeugen.

  Ein Doppelklick mit der linken Maustaste markiert ein Wort - ein Dreifachklick markiert eine ganze Zeile.

  Wird beim Markieren der Mauszeiger auf den oberen oder unteren Rand des Textfelds bewegt, ergibt sich ein Effekt wie beim Bewegen der Bildlaufleiste.&konsole; zeigt dann Text weiter oben, bzw. weiter unten, im Verlaufsspeicher an. Dieses Rollen durch den Verlaufsspeicher endet, sobalddie Mausbewegung beendet wird.

  Wird die Maustaste losgelassen, bleibt der ausgewählte Textabschnitt markiert (=invertierte Darstellung). Die Markierung wird aufgehoben, sobald die Zwischenablage verändert wird, eine Änderung des markierten Textes erfolgt oder die linke Maustaste betätigt wird.

  Bei Anwendungsprogrammen mit Mausunterstützung (zum Beispiel Midnight Commander) muss zusätzlich die &Umschalt;-Taste betätigt werden, um Text auszuwählen.

Mittlere Taste

  Klicken der mittleren Maustaste, fügt Text aus der Zwischenablage ein. Betätigen Sie dabei die &Strg;-Taste, wird zusätzlich ein Zeilenumbruch an &konsole; weitergegeben - so, als wäre anschließend die Eingabe-Taste betätigt worden.

  Ist lediglich eine Maus mit zwei Tasten vorhanden, kann die mittlere Taste, durch gleichzeitiges Betätigen der rechten und linken Maustaste emuliert werden.

Rechte Taste

  Ein Klick mit der rechten Maustaste im Befehlsfenster zeigt ein Menü mit den Einträgen Menüleiste anzeigen, Kopieren, Einfügen, Signal senden, Sitzung verselbständigen,Sitzung umbenennen..., Lesezeichen, Einstellungen und Sitzung schließen . Die Kombination von &Strg; rechter Maustaste aktiviert das Sitzungsmenü.

### Menüleiste

Die Menüleiste befinden sich am oberen Rand des &konsole;-Fensters. Sie lässt sich durch Ändern der Einstellung Menüleiste anzeigen anzeigen oder verstecken. Ist die Menüleiste versteckt, lässt sich die Einstellung Menüleiste anzeigen über ein Menü erreichen, das durch Klicken der rechten Maustaste angezeigt wird. Die gleiche Funktion lässt sich durch Betätigen der Tastenkombination &Alt;&Strg;M erreichen.

#### Sitzungsmenü

Sitzung Neues Befehlsfenster

  Startet eine neue Sitzung mit einem Befehlsfenster. Das Gleiche erreiche Sie über die Tastenkombination &Alt;&Strg;N . Näheres dazu finden Sie weiter unten.

Sitzung Neue Linux-Konsole

  Öffnet eine neue Sitzung in der ein textbasiertes &Linux;-System emuliert wird.

  In der Datei `README.linux.console`, die dem Quelltext von &konsole; beiliegt, wird detailliert beschrieben, wie sich diese &Linux;-Konsole von einer typischen &UNIX;-Konsole unterscheidet.

Sitzung Neuer Midnight Commander

  Öffnet eine neue Sitzung mit dem Dateimanager Midnight Commander.

Sitzung Neue Konsole für Benutzer root

  Öffnet eine neue Sitzung mit einem Befehlsfenster das unter dem Zugang für den Benutzer(root) läuft.

  Dabei wird zunächst das Passwort von root abgefragt und danach das Befehlsfensterfür den Benutzer root geöffnet. Der root-Prompt # zeigt an, dass der Benutzer mit root-Privilegien arbeitet. Das ist oft notwendig, wenn neue Software installiert oder andere Systemverwaltungsaufgaben durchgeführt werden müssen. Dabei ist allerdings Vorsicht angebracht, denn es ist dann leicht möglich das System durch eine Fehlbedienung zu beschädigen.

Sitzung Neuer Midnight Commander für Benutzer root

  Öffnet eine neue Sitzung mit dem Dateimanager Midnight Commander als Systemverwalter. root.

  Dabei wird zunächst das Passwort für den Benutzer root abgefragt, und danach das Befehlsfensterfür den Benutzer root geöffnet. Derroot-Prompt # zeigt an, dass der Benutzer mit Systemverwalter-Privilegien arbeitet. Das ist oft notwendig. Allerdings ist Vorsicht angebracht, denn es ist dann möglich das System durch eine Fehlbedienung zu beschädigen.

Sitzungen Neue Sitzung des Terminal-Programms Screen

  Startet eine neue Sitzung mit dem Programm Screen, einem virtuellen Terminal-Manager. Siehe auch ``man` `screen`` .

Sitzung Neues Befehlsfenster bei Lesezeichen

  Startet ein neues Befehlsfenster in dem in der Liste der Lesezeichen aufgeführten Ordner.

Sitzung Sitzung schließen

  Schließt die aktive Sitzung.

Sitzung Beenden

  Beendet &konsole;, schließt alle Sitzungen und alle Programme, die von diesen Sitzungen aus gestartet wurden.

Eine neue Sitzung lässt sich auch mit einer Tastenkombination starten. Per Voreinstellung ist diese Funktion mit der Kombination&Alt;&Strg;N erreichbar. Es ist über Einstellungen Kürzel einrichten... auch möglich eigene Tastenkombinationen festzulegen.

Die `*.keytab` Dateien im Ordner `$`KDEDIR`/share/apps/konsole` legen ebenfalls Tastenkürzel fest. Über Einrichten Tastatur lässt sich eine keytab-Datei auswählen. Die Datei `README.KeyTab` enthält weitere Informationen über die Einrichtung von Tastenkürzeln.

Die verfügbaren Sitzungstypen können von den hier aufgelisteten abweichen. &konsole; erkennt automatisch die auf ihrem System installierten Anwendungen und passt die Liste entsprechend an.

Schließlich können Sie die Sitzungstypen anpassen und neue Sitzungstypen erstellen, indem Sie den Einstellungsdialog über den Menüeintrag Einstellungen Konsole einrichten... aufrufen.

#### Das Menü Bearbeiten

Bearbeiten Kopieren

  Kopiert den ausgewählten Text in die Zwischenablage.

Bearbeiten Einfügen

  Fügt an der Cursor-Position Text aus der Zwischenablage ein.

Bearbeiten Signal senden

  Signal senden - sendet das ausgewählte Signal an das aktuelle Befehlsfenster bzw die Anwendung, die mit der neuen Sitzung gestartet wurde.

  Derzeit stehen folgende Signale zur Verfügung:

  STOP | Um einen Prozess anzuhalten
  CONT | (=Continue) Um einen angehaltenen Prozess wieder zu starten
  HUP | (=Hangup) Signalisiert dem Prozess, dass der Mutterprozess beendet wurde
  INT | Signalisiert einen Interrupt von der Tastatur
  TERM | (=Terminate) Fordert den Prozess auf zu Beenden
  KILL | Erzwingt die Prozessbeendigung
  USR1 | benutzerdefiniertes Signal 1
  USR2 | benutzerdefiniertes Signal 2

  Weitere Details sind in den entsprechenden Manual-Seiten verfügbar. Diese lassen sich mit ``man` `7 signal`` anzeigen.

Bearbeiten Terminalinhalt löschen

  Löscht den gesamten Text des Sitzungsfensters.

Bearbeiten Inhalt löschen und Terminal zurücksetzen

  Startet eine neue Sitzung im aktuellen Fenster..

Bearbeiten In Verlaufsspeicher suchen...

  Sucht ein Wort oder einen Textabschnitt im Verlaufsspeicher. Dabei lässt sich auf Wunsch Groß-Kleinschreibung berücksichtigen, reguläre Ausdrücke stehen ebenfalls zur Verfügung. Es ist auch möglich rückwärts zu suchen. Über das Menü Bearbeiten, lässt sich der &kde;-eigene Editor für reguläre Ausdrücke aufrufen.

Bearbeiten Weitersuchen

  Zur nächsten Fundstelle weitergehen.

Bearbeiten Frühere suchen

  Zur vorhergehenden Fundstelle zurückgehen.

Bearbeiten Befehlsablauf speichern unter...

  Speichert den aktuellen Verlaufsspeicher in einer Textdatei.

Bearbeiten Verlaufsspeicher löschen

  Löscht den Verlaufsspeicher für die aktuelle Sitzung.

Bearbeiten Alle Verlaufsspeicher löschen

  Löscht den Verlaufsspeicher für alle Sitzungen.

#### Das Ansicht-Menü

Ansicht Sitzung verselbständigen

  Öffnet ein eigenes Fenster für die aktuelle Sitzung. Der Name wird in der Titelzeile angezeigt. Das Schließen des Fenster koppelt die Sitzung wieder an das Hauptfenster an. Das lässt sich auch erreichen, wenn Sie im neuen Fenster die rechte Maustaste klicken und dann Sitzung anhängen auswählen. Vorsicht: wenn Sie das Hauptfenster schließen, werden auch alle Sitzungen in abgekoppelten Fenstern beendet.

Ansicht Sitzung umbenennen...

  Öffnet ein Dialogfenster, mit dem der Name der aktuellen Sitzung geändert werden kann. Der Name wird auf dem Sitzungsreiter angezeigt. Das Dialogfenster lässt sich auch mit &Alt;&Strg;S starten.

Ansicht Auf Aktivität überwachen

  Legt fest, dass die aktuelle Sitzung eine Meldung erzeugt, wenn sich etwas ändert. Diese Meldung besteht aus einer leuchtenden Glühbirne, die im Sitzungsreiter angezeigt wird. Das kann nützlich sein, wenn man gerade in einer anderen Sitzung arbeitet. Die Zeit zwischen Aktion und Meldung, kann in den &konsole;-Einstellungen festgelegt werden.

Ansicht Auf Inaktivität überwachen

  Legt fest, dass die aktuelle Sitzung eine Meldung erzeugt, wenn sich für 10 Sekunden nichts tut. Diese Meldung besteht aus einer kleinen ausgeschalteten Glühbirne, die im Sitzungsreiter angezeigt wird. Das kann von Nutzen sein, wenn man gerade in einer anderen Sitzung arbeitet und auf das Beenden eines Vorgangs wartet. Der Zeitraum der Inaktivität der nötig ist, um eine Meldung zu erzeugen, kann in den &konsole;-Einstellungen festgelegt werden.

Ansicht Eingabedaten an alle Sitzungen senden

  Legt fest, dass Eingaben in der aktuellen Sitzung an alle Sitzungen weitergegeben werden. Zur Erinnerung für Sie wird im Sitzungsreiter eine Fernsteuerung angezeigt. Eine Eingabe wie ``rm` `-rf *`` kann gefährlich werden.

Ansicht Sitzung nach links verlegen

  Verschiebt den Sitzungsreiter der aktuellen Sitzung um eine Position nach links.

Ansicht Sitzung nach rechts verlegen

  Verschiebt den Sitzungsreiter der aktuellen Sitzung um eine Position nach rechts.

  Es ist auch möglich mit Hilfe der &Umschalt;Links- und &Umschalt;Rechts -Tasten zwischen den verfügbaren Sitzungen umzuschalten.

Ansicht Sitzungs-Symbole...

  Am Ende des Menüs Sitzungs befindet sich eine Liste der verfügbaren Sitzungen. Mit Hilfe diese Liste können Sie die aktuelle Sitzung festlegen.

  Es ist auch möglich mit Hilfe der &Umschalt;Links- und &Umschalt;Rechts -Tasten zwischen den verfügbaren Sitzungen umzuschalten.

#### Das Menü Lesezeichen

Lesezeichen Lesezeichen hinzufügen

  Fügt die aktuelle Position zu den Lesezeichen hinzu.

Lesezeichen Lesezeichen bearbeiten

  Bearbeitet die Liste der Lesezeichen.

Lesezeichen Neuer Lesezeichen-Ordner

  Erzeugt einen neue Ordner in der Lesezeichen-Liste.

Die Lesezeichen werden am Ende des Menüs angezeigt. Durch Auswahl eines Lesezeichens wechselt die Sitzung in den betreffende Ordner.

Sie können den Lesezeichen-Editor verwenden, um manuell URLs wie ssh://user@host oder telnet://host einzutragen, die das Anmelden auf anderen Rechnern ermöglichen.

#### Das Menü Einstellungen

Einstellungen Menüleiste anzeigen

  Zeigt oder versteckt die Menüleiste.

Einstellungen Werkzeugleiste anzeigen

  Zeigt oder versteckt die Werkzeugleiste.

Einstellungen Bildlaufleiste

  Bestimmt die Position der Bildlaufleiste: Ausblenden, links, oderrechts.

Einstellungen Vollbildmodus

  Wechselt zwischen Vollbildmodus und Normalgröße des Fensters.

Einstellungen Signal

  Statt des üblichen Signaltons des Rechners kann ein &kde;-Klang oder ein visuelles Signal verwendet werden. Das Signal lässt sich aber auch ganz abschalten.

Einstellungen Schrift

  Schriftart und Schriftgröße

  Die Option Benutzerdefiniert erlaubt eine beliebige Kombination von Schriftart, -größe und -stil. Die Datei `README.fonts`, die den Quelltexten von &konsole; beiliegt, enthält Tipps bezüglich geeigneter Schriftarten.

Einstellungen Tastatur

  Wählt das gewünschte Tastaturverhalten aus.

  Diese Zuordnungen werden über die Dateien `$KDEDIR/apps/konsole/*.keymap` festgelegt. Es ist möglich im gleichen Ordner weitere Dateien anzulegen und die vorhandenen zu bearbeiten. Die Datei `$KDEDIR/share/apps/konsole/README.KeyTab` beschreibt die Details des keytab-Formats.

Einstellungen Farbschema

  Erlaubt es die Farben von Text und Hintergrund zu festzulegen.

  Diese Farbschemata befinden sich in den Dateien: `$KDEDIR/share/apps/konsole/*.schema`. Die Datei `$KDEDIR/share/apps/konsole/README.Schema` beschreibt das Dateiformat. Die bestehenden Dateien können Sie an Ihre Bedürfnisse anpassen oder auch neue Dateien können hinzufügen. Es ist auch möglich über Einstellungen Konsole einrichten... eigene Farbschemata anzulegen.

Einstellungen Größe

  Stellt die Größe des Textbereichs ein (in Spalten x Zeilen).

Einstellungen Verlaufsspeicher...

  Öffnet ein Dialogfenster mit den Einstellungen für den Verlaufsspeicher. Das Ankreuzfeld Aktivieren bestimmt ob Zeilen, die über den oberen Rand des Textbereichs verschoben wurden, gespeichert werden. Die Anzahl Zeilen, die gespeichert werden, lässt sich direkt eingeben oder mit Hilfe der Pfeilknöpfe in Vielfachen von 100 erhöhen bzw. verringern. Der Knopf Voreinstellungen setzt diesen Wert wieder auf 1000 Zeilen. Der Wert 0 bewirkt, dass alle Zeilen gespeichert werden. Mit dem Knopf OK werden die Änderungen gespeichert, mit Abbrechen werden die Änderungen verworfen. Der Knopf Hilfe öffnet dieses Handbuch an der Stelle, an der sie sich jetzt befinden.

Einstellungen Einstellungen speichern

  Übernimmt die aktuellen Einstellungen als neue Voreinstellungen.

Einstellungen Sitzungsprofile speichern...

  Speichert den aktuellen Satz von Sitzungen unter einem benutzerdefinierten Namen. Dieses Profil kann dann beim Start von &konsole; von der Kommandozeile mit `--profile` und dem Dateinamen ausgewählt werden.

Einstellungen Kurzbefehle einrichten...

  Tastenkürzel für &konsole;-Befehle einrichten.

Einstellungen &konsole; einrichten...

  Öffnet das &kcontrolcenter;-Modul, das weitere Einstellungen von &konsole; ermöglicht. Unter Anderem die Erstellung von Farbschemata und Modifizierung der verfügbaren Sitzungstypen.

#### Das Menü Hilfe

F1 Hilfe Handbuch zu Konsole

  Öffnet das Inhaltsverzeichnis dieses Dokuments.

Hilfe Tipp des Tages

  Zeigt einen nützlichen Tipp über &konsole; an. Markieren Sie das Ankreuzfeld Beim Start anzeigen, um bei jedem Aufruf von &konsole; einen Tipp zu erhalten.

Hilfe Berichten Sie Probleme oder Wünsche...

  Berichten Sie Probleme oder Wünsche... für &konsole;.

Hilfe Über Konsole...

  Informationen über den Autor von &konsole;

Hilfe Über KDE...

  Informationen über das KDE Projekt

### Werkzeugleiste

Die Werkzeugleiste befindet sich am unteren Rand des &konsole;-Fensters.

Der Eintrag Werkzeugleiste anzeigen im Menü Einstellungen legt fest, ob die Werkzeugleiste sichtbar ist. Das Gleiche lässt sich durch Anklicken des Anfassers an der Seite der Werkzeuglisteerreichen. Die Leiste enthält ein Symbol Neu und ein Symbol für jede der laufenden Sitzungen. Anklicken des Symbols Neu erzeugt eine neue Befehlsfenster-Sitzung, das Anklicken der anderen Symbole wechselt zur entsprechenden Sitzung.

Ein Doppelklick auf einen Sitzungsreiter öffnet ein Dialogfenster in dem der Sitzungsname geändert werden kann. Das Gleiche erreichen Sie auch mit der Tastenkombination &Alt;&Strg;S .

Das Anklicken des Sitzungssymbols wechselt zur betreffenden Sitzung.

Es ist auch möglich mit Hilfe von Umschalt Links- und Umschalt Rechts -Tasten zwischen den verfügbaren Sitzungen umzuschalten.

### Befehlszeilenparameter

Wird &konsole; von der Befehlszeile gestartet, lässt sich das Verhalten des Programms über verschiedene Parametern beeinflussen.

`--help`

  Zeigt eine Liste mit den verfügbaren Parametern an

`--name` `Name`

  Bestimmt den Namen der im Fenstertitel angezeigt wird

`--ls`

  Startet das Programm mit einer Login-Shell. Die genaue Bedeutung dieses Parameters hängt von Ihrem System ab - üblicherweise wird dadurch `~/.profile` oder `~/.bash_profile` ausgeführt.

`-T` `Titel`

  Bestimmt den Titel des Fensters

`--tn` `Terminalkennung`

  Weist der Umgebungsvariable TERM den angegebenen Wert zu. Näheres dazu finden Sie in ``man` `xterm`` .

`--xwin`

  Diese Option wird ignoriert

`--noclose`

  Verhindert dass &konsole; beendet wird, wenn im Sitzungsfenster der Befehl ``exit`` eingegeben wird.

`--nohist`

  Verhindert, dass Text, der über den Bildschirmrand läuft, gespeichert wird

`--nomenubar`

  Startet &konsole; ohne Menüleiste

`--notoolbar`

  Startet &konsole; ohne Werkzeugleiste

`--noframe`

  Startet &konsole; ohne Rahmen

`--noscrollbar`

  Startet &konsole; ohne Bildlaufleiste

`--noxft`

  Startet &konsole; ohne Xft-Kantenglättung. Sehr kleine Schriften können mit eingeschalteter Kantenglättung schwierig zu lesen sein.

`--vt_sz` `SSxZZ`

  Startet ein Terminalfenster mit SS Spalten und ZZ Zeilen

`--type` `Sitzungstyp`

  Startet eine Sitzung des angegebenen Typs, anstelle des voreingestellten Typs.

`--keytab` `Datei`

  Startet &konsole; mit der angegebenen .keytab-Dateiund der dadurch festgelegten Tastaturbelegung.

`--profile` `Datei`

  Startet &konsole; mit einem gespeicherten Satz von Sitzungen.

`--schema` `Datei`

  Startet &konsole; mit der angegebenen .schema-Datei und dem dort festgelegten Erscheinungsbild.

`--script` `Datei`

  Erlaubt die Verwendung erweiterter DCOP-Befehle zum Einfügen von Text in Sitzungen.

`--workdir` `Startordner`

  Startet im Arbeitsordner `Startordner`.

`-e` `Befehl`

  Führt `Befehl` aus anstelle eines Befehlsfensters.

Beispiele:

    bash$
    konsole --vt_sz
     90x25 --nohist

Startet ein &konsole;-Fenster mit 90 Spalten und 25 Zeilen und ohne Verlaufsspeicher

&konsole; versteht auch generische &Qt;- und &kde;-Parameter:

`--help-qt`

  Zeigt Qt-spezifische Parameter an

`--help-kde`

  Zeigt KDE-spezifische Parameter an

`--help-all`

  Zeigt alle Parameter an

`--author`

  Zeigt die Namen der Autoren an

`-v,--version`

  Anzeige der Versionsnummer

`--license`

  Anzeige der Lizenz unter der &konsole; steht

## Mitwirkende und Copyright

&konsole; wird betreut von &Waldo.Bastian; &Waldo.Bastian.mail;

Das Programm &konsole; ist Copyright 1997-2002 &Lars.Doelle; &Lars.Doelle.mail;

Dieses Dokument wurde erstellt von &Jonathan.Singer;&Jonathan.Singer.mail;

Konvertiert zu DocBook SGML von &Mike.McBride; und &Lauri.Watts;

Deutsche Übersetzung von Stefan Doll stefan@laugenweck.de

&underFDL; &underGPL;

## &konsole; auf anderen Systemen als &Linux;

Informationen zur Kompilierung von &konsole; auf anderen Systemen (außer &Linux;) finden sich in der Datei `README.ports`, die den Quelltexten von &konsole; beiliegt. Die Datei enthält eine Liste mit Experten für bestimmte Systeme (Tru64, &Solaris;, OpenBSD) und ruft Freiwillige für andere &UNIX;-Systeme dazu auf, sich an dem Projekt zu beteiligen.

&documentation.index;